<HTML>
<title>
   XML
</title>

<BODY>
<?php
   ini_set("display_errors", "off");
	/*Código para incluir las librerias*/
	include_once("../src/conexion.php");

	 //Conexión con el servidor
  $link=ConectarseServidor();

 //Conexión con la base de datos
  ConectarseBaseDatos($link);

 //realiza consulta a la base de datos
   $sql = "SELECT id_cobrador,CONCAT(nombre,' ',apellido) nombre, id_zona,nombre_zona  FROM cobrador, zona
				WHERE zona = id_zona ORDER by nombre_zona"; 
				
  $result=mysql_query($sql,$link);

     //crea nombre del archivo xml
    $nomArchivo="Zonas.xml";
	$arch = fopen($nomArchivo,"w+");

	fwrite($arch,'<?xml version="1.0" encoding="UTF-8" standalone="yes"?>'."\n".
						'<zonas xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">'."\n");	
           	
	
    //impresion de datos obtenidos desde la BD
	 while($row = mysql_fetch_array($result)){
	 				   
			$id_cobrador		= $row[0];
			$nombre			    = $row[1];	   
			$Id_Zona			= $row[2];
			$Nombre_Zona		= $row[3];
          
		   fwrite($arch,"\t".'<datos>'."\n". 						
						"\t\t".'<idzona>'.$Id_Zona.'</idzona>'."\n".
						"\t\t".'<nomzona>'.$Nombre_Zona.'</nomzona>'."\n".
						"\t\t".'<id_cobrador>'.$id_cobrador.'</id_cobrador>'."\n".
						"\t\t".'<nombre>'.$nombre.'</nombre>'."\n".
						"\t".'</datos>'."\n");	
              
		  
      }//fin del while	
     	fwrite($arch,'</zonas>');	
	 
	 
	 //cierra el archivo
	 fclose($arch);
	 
	 
     //libera memoria
 	mysql_free_result ($result);
	
	
	 $sbCadena =  "<script language='javascript'>";
	 $sbCadena .= "alert(  'Archivo Zonas.xml Generado con Exito' )";
     $sbCadena .= "</script>";
     echo $sbCadena;
		 	
	//retorna a la pagina anterior
	$sbCadena = '<script>window.history.back();</script>';
	echo $sbCadena;

	/*Función para desconectarse de la base de datos*/
	desconectarse($link);//cierra la conexion


?>
</BODY>
</HTML>